Page MenuHomePhabricator

Avoid dependency on uuid.h in MacOSXDYLD
ClosedPublic

Authored by labath on Jul 13 2015, 3:04 AM.

Details

Summary

r241964 has added a dependency on uuid.h, which (on linux at least) necessitates instalation of a
new package. Since the only thing we need from that file is uuid_t (and this is already defined
in UuidCompatibility.h), we can avoid this dependency by making this include APPLE specific.
If in future, we need more from this library, we can revisit this decision.

Event Timeline

labath updated this revision to Diff 29543.Jul 13 2015, 3:04 AM
labath retitled this revision from to Avoid dependency on uuid.h in MacOSXDYLD.
labath updated this object.
labath added a reviewer: jasonmolenda.
labath added a subscriber: lldb-commits.
This revision was automatically updated to reflect the committed changes.